#include<stdio.h>
main(){
unsigned long long  N,i,j,k,ans=0;
scanf("%llu",&N);
unsigned long long N2=N*2,N3=N*3;
unsigned long long X[N3];
for(i=0;i<N3;i++){
scanf("%llu",&X[i]);
}
for(i=0;i<N;i++){
for(j=N;j<N2;j++){
if(X[i]==X[j]){	
for(k=N2;k<N3;k++){	
if((j+1-N)==X[k]){
ans++;
}
}
}
}	
}
printf("%llu",ans);	
}